Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0000422
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformtrivialN/A2008-05-26 09:202008-11-26 20:20
ReporteralostaleView Statuspublic 
Assigned Topjuvara 
PriorityurgentResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision10428
ProjectionnoneETAnoneTarget Version2.50
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0000422: Central controller for WAD windows

DescriptionApplication should have a central controller servlet attending all the requests coming from a complex WAD-generated window.
Currently each tab within a window has its own controller and this forces users to persist the status whenever they initiate an action that navigates away from the tab (i.e. opening a sub-tab, pressing a button, etc.).
A central controller at window level would allow a much smoother user interaction.

TagsReleaseCandidate
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 00033052.50 closedpjuvara Button auto-save 
related to defect 0004438 closedcromero Any alert appears when exiting from a non-saved window through the menu 

-  Notes
(0000328)
alostale (developer)
2008-05-26 09:25

This would solve some of the currently open issues:
*Auto-save on buttons would be possible [1]
*Warning when non-saved modified data clicking on left menu [2]

[1] http://sourceforge.net/tracker/index.php?func=detail&aid=1914910&group_id=162271&atid=823129 [^]
[2] https://sourceforge.net/tracker/index.php?func=detail&aid=1738983&group_id=162271&atid=823129 [^]
(0000398)
pjuvara (reporter)
2008-05-30 19:36

Can you please explain the benefits?
(0000450)
alostale (developer)
2008-06-06 11:51

This servlet would act as a controller for the whole application, making possible to have implicit action between different elements regardless whether they are different servlets. These actions could be:
*Definition for buttons to auto save [1]
*Ability for intercept click on menu making possible to save the current modified record.
*Make possible not to have to save explicitly a record before going to another tab.
*etc...

[1] http://wiki.openbravo.com/wiki/Projects/Save_on_Button/Functional_Specifications [^]

- Issue History
Date Modified Username Field Change
2008-05-26 09:20 alostale New Issue
2008-05-26 09:20 alostale Assigned To => cromero
2008-05-26 09:25 alostale Note Added: 0000328
2008-05-30 19:36 pjuvara Note Added: 0000398
2008-05-30 19:36 pjuvara Assigned To cromero => alostale
2008-05-30 19:36 pjuvara Status new => feedback
2008-06-06 11:51 alostale Note Added: 0000450
2008-06-06 11:51 alostale Status feedback => new
2008-06-06 13:15 pjuvara Assigned To alostale => pjuvara
2008-06-06 13:15 pjuvara Status new => acknowledged
2008-06-06 13:15 pjuvara Tag Attached: ReleaseCandidate
2008-06-06 13:19 pjuvara Summary Make a central control servlet => Central controller
2008-06-06 13:19 pjuvara Description Updated
2008-06-22 08:40 pjuvara Status acknowledged => scheduled
2008-06-22 08:40 pjuvara Target Version => 2.50
2008-06-22 08:40 pjuvara Summary Central controller => Central controller for WAD windows
2008-06-24 18:44 pjuvara Priority normal => urgent
2008-06-24 18:44 pjuvara Severity minor => trivial
2008-07-01 17:56 anonymous sf_bug_id 0 => 2007889
2008-07-17 17:33 cromero Relationship added related to 0004438
2008-11-16 07:49 pjuvara Relationship added depends on 0003305
2008-11-17 16:01 pjuvara Category 00. Application dictionary => A. Platform
2008-11-22 15:00 iperdomo Status scheduled => resolved
2008-11-22 15:00 iperdomo Fixed in Version => trunk
2008-11-22 15:00 iperdomo svn_revision => 10428
2008-11-22 15:00 iperdomo Resolution open => fixed
2008-11-26 20:20 pjuvara Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker